Subject: Re: linux-next: revert of "debug: add notifier chain debugging"

From: Arjan van de Ven <[email-masked]>
Date: Mon, 01 Sep 2008 07:23:58 -0700

Stephen Rothwell wrote:
> Hi all,
> 
> I have reverted commit 16f9b13de93c8bfdac16b4d15577af2c132358ef ("debug:
> add notifier chain debugging") for today hate typing thas it prevents Powerpc kernels
> from booting.  There is (I think) a bug there (__devinit routines are not
> put in the right section as pointed otu by David Woodhouse), but not a
> fatal bug and the above commit makes it one.

well it's a pretty bad bug since there are many places that depend on the kernel text stuff to work.
(backtracing, lockdep, some of the security checks etc). PPC needs to be fixed rather urgently.
but yeah the system kept plodding on.
David also sent a patch to fix it fwiw.

I'm a bit sad to see a debug patch get reverted just because it caught bugs ;-)
at least I assume this is very temporary.